/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author matt
 */
public class MusicDriver_MusicDebug implements IMusicDriver {
    public boolean musicplayer;
    public String music="";
    @Override
    public void PlayMusic() {
        StopMusic();
        try {
            musicplayer=true;
            System.out.println("music start \""+music+"\"");
        } catch (Exception ex) {
            Logger.getLogger(MusicDriver_MusicDebug.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    @Override
    public boolean StopMusic() {
            System.out.println("COMM. music stop attempt");
        if (musicplayer)
        {
            System.out.println("music stop");
            musicplayer=false;
        return true;
        }
            System.out.println("COMM. already stopped");
        return false;
    }

    @Override
    public boolean IsPlaying() {
        return musicplayer;
    }
    
    @Override
    public void SetMusic(String filename) {
        music=filename;
        if (StopMusic())
        {
        PlayMusic();
        }
    }
    
}
