/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */

package javachan.games;

import gabien.GaBIEn;
import gabien.IGrInDriver;
import gabien.IGrInDriver.IImage;
import javachan.Game;
import javachan.IGame;

public class LauncherGame implements IGame {
	int opt=0;
	@Override
	public void Run(double DeltaTime, double Time, Game g) {
		opt=g.graphics.GetMouseY()/32;
		if (g.graphics.IsKeyDown(IGrInDriver.VK_E))
		{
		opt=2;
		}
		if (g.graphics.GetMouseJustDown()||g.graphics.IsKeyDown(IGrInDriver.VK_ENTER))
		{
			int w=320;
			int h=240;
			if (opt==1)
			{
				w=800;
				h=600;
			}
			
			g.graphics.Shutdown();
			g.graphics=GaBIEn.MakeGrIn("Ikachan Map Editor v"+Game.SYSTEM_VERSION, w, h);
			g.Reset(opt!=2);
		}
		if (opt<0) opt=2;
		if (opt>2) opt=0;
		g.graphics.Clear(0, 0, 0);
		int c=0;
		c=opt==0?32:40;
		//OptNum,BigRes,Experiment,VposRadioButton
		ShowOption(0,false,false,c,g);
		c=opt==1?32:40;
		ShowOption(1,true,false,c,g);
		c=opt==2?32:40;
		ShowOption(2,false,true,c,g);
		g.graphics.Flush();
	}
	private void ShowOption(int i, boolean br, boolean ex, int c2,Game g) {
		IImage edit= g.graphics.GetImage("TileEditor.png", 0, 0, 0);
		int y=i*32;
		g.graphics.BlitBCKImage(280, c2, 8, 8, 0, y+12,edit);
		g.graphics.BlitBCKImage(288, 16+(br?8:0), 32, 8, 16, y+4,edit);
		if (ex)
		{
		g.graphics.BlitBCKImage(288, 32, 32, 16, 16, y+12,edit);
		}
		else
		{
		g.graphics.BlitBCKImage(224, 32, 56, 16, 16, y+12,edit);
		}
		
	}
}
