/*
 * Part of the GaBIEn project.
 * (Graphics and Basic Input Engine)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package gabien;

import java.io.InputStream;

public class GaBIEn {
	protected static IGaBIEn internal;
	public static double GetTime() {return internal.GetTime();}
	public static double TimeDelta(boolean reset) {return internal.TimeDelta(reset);}
	public static InputStream GetResource(String resource) {return internal.GetResource(resource);}
	public static InputStream GetFile(String resource) {return internal.GetFile(resource);}
	public static boolean SingleWindowApp() {return internal.SingleWindowApp();}
	public static ISoundDriver GetSound() {return internal.GetSound();}
	public static void EnsureQuit() {internal.EnsureQuit();}
	public static IGrInDriver MakeGrIn(String name,int w,int h) {return internal.MakeGrIn(name, w, h);}
}
