/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.blocks;

import javachan.GameState;
import javachan.IPhysicsObject;

/**
 *
 * @author matt
 */
public class SpongeBlockType extends BasicBlockType {
    @Override
    protected String GetBlockImage()
    {
        return "Pbm/PrtSnack.pbm";
    }    
    //ThisIsIkachan:(gs==ipo)
    //0:Left,1:Right,2:Up,3:Down
    @Override
    public void HandleHardCollision(int x,int y,GameState gs,IPhysicsObject ipo,int direction)
    {
        if (gs!=ipo)
            return;
        boolean okay=false;
        if (gs.HasItem(1))
        {
            if (direction==3)
            {
                okay=true;
            }
        }
        //This is the only case in which hitting from any direction will work-
        //and only because it's 100% guaranteed to be coming from the right direction anyway.
        if (gs.CapacitorTicks>0)
        {
            okay=true;
        }
        if (okay)
        {
            gs.map.data[x+(y*gs.map.Width)]=0;
            //TODO:GEN BUBBLES
        }
    }

}
